---
updatedAt: 2026-04-12T09:21:33.000Z
---

# Search for load information

This request allows the carrier to search load information on awarded loads.

### Example

The following example allows a carrier to search awarded load details.

POST `https://developer.api.us.walmart.com/api-proxy/service/supplychain/transportation/v1/api/brokerage/plans/search`

### Request body

```JSON
{
  "status": {
    "status": "TENDERED",
    "planType": "LOAD_PLAN_TYPE"
  },
  "planIds": [ ],
  "origins": {
    "city": "Chicago",
    "postalCode": "31422",
    "state": "GA"
  },
  "destinations": {
    "city": "Chicago",
    "postalCode": "94903",
    "state": "GA"
  },
  "queryDates": {
    "endTs": "2023-06-01T13:00:00Z",
    "startTs": "2023-05-25T12:00:00.000+0530",
    "type": "ACTUAL_ARRIVAL_DATE"
  },
  "planDetails": {
    "totalStops": "1",
    "isHazmat": true
  },
  "equipment": {
    "equipmentCodes": "VAN53"
  },
  "sortField": "LAN_DEPARTURE_TS",
  "sortMode": "ASC",
  "page": 3,
  "responseGroups": { },
  "calculateSearchesResultCount": true
}
```

# OpenAPI definition

````json
{
  "openapi": "3.0.2",
  "info": {
    "description": "**October 2025**<br>Built: 10/22/2025, 17:26:02",
    "version": "3.0",
    "title": "Inbound Load Board API Reference Guide"
  },
  "servers": [
    {
      "url": "https://developer.api.us.walmart.com/"
    }
  ],
  "paths": {
    "/api-proxy/service/supplychain/transportation/v1/api/brokerage/plans/search": {
      "post": {
        "tags": [
          "Inbound Load Board Requests"
        ],
        "summary": "Search for load information",
        "operationId": "freight_services_post_plans_search",
        "description": "This request allows the carrier to search load information on awarded loads.\n\n### Example\n\nThe following example allows a carrier to search awarded load details.\n\nPOST `https://developer.api.us.walmart.com/api-proxy/service/supplychain/transportation/v1/api/brokerage/plans/search`\n\n### Request body\n\n```JSON\n{\n  \"status\": {\n    \"status\": \"TENDERED\",\n    \"planType\": \"LOAD_PLAN_TYPE\"\n  },\n  \"planIds\": [ ],\n  \"origins\": {\n    \"city\": \"Chicago\",\n    \"postalCode\": \"31422\",\n    \"state\": \"GA\"\n  },\n  \"destinations\": {\n    \"city\": \"Chicago\",\n    \"postalCode\": \"94903\",\n    \"state\": \"GA\"\n  },\n  \"queryDates\": {\n    \"endTs\": \"2023-06-01T13:00:00Z\",\n    \"startTs\": \"2023-05-25T12:00:00.000+0530\",\n    \"type\": \"ACTUAL_ARRIVAL_DATE\"\n  },\n  \"planDetails\": {\n    \"totalStops\": \"1\",\n    \"isHazmat\": true\n  },\n  \"equipment\": {\n    \"equipmentCodes\": \"VAN53\"\n  },\n  \"sortField\": \"LAN_DEPARTURE_TS\",\n  \"sortMode\": \"ASC\",\n  \"page\": 3,\n  \"responseGroups\": { },\n  \"calculateSearchesResultCount\": true\n}\n```\n",
        "parameters": [
          {
            "in": "header",
            "name": "Content-Type",
            "description": "application/json\n",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "header",
            "name": "Accept",
            "description": "application/json\n",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "header",
            "name": "WM_CONSUMER.ID",
            "description": "Specifies the consumer identifier. \n\nThis value is obtained from the Development Manager. \n\nExample: \n\nb30696d1-1806-489d-a519-6c38b35cc8d2\n",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "header",
            "name": "Authorization",
            "description": "Specifies the authorization bearer token received in the previous authentication API call.\n\nExample: \n\neyJraWqioiqwe33dDdssdfsefsdefe334VDWDKUssweksdoobweppsdvddppjsowjsddwi59223Kwkek91kkwd\n",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "header",
            "name": "WM_QOS.CORRELATION_ID",
            "description": "Specifies the tracking ID for each request for logging purpose. The client should send a new UUID for each \nrequest.\n\nExample: \n\nUUID - 4402a449-0e67-49f8-bbb3-b2fc1c05f6b3\n",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "required": true,
          "description": "The following are required input field names, data types, description, and occurrences.\n",
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "status": {
                    "type": "object",
                    "description": "<Mark>Optional</Mark>\n\nIndicates the plan status to search.\n",
                    "properties": {
                      "status": {
                        "type": "string",
                        "description": "<Mark>Optional</Mark>\n\nSpecifies the plan status.\n\nValid values are:\n\n| Value | Meaning |\n| ----------- | ----------- |\n| COMPLETED | Indicates that the load is completed. |\n| DELIVERED | Indicates that a load is delivered. |\n| IN_TRANSIT | Indicates that load is in transit. |\n| TENDERED | Indicates a carrier has received preliminary acceptance. |\n| TENDER_ACCEPTED | Indicates the load status had its tender accepted (final acceptance) for the carrier. |\n\nExample:\n\nTENDERED\n",
                        "example": "TENDERED"
                      },
                      "planType": {
                        "type": "string",
                        "description": "<Mark>Optional</Mark>\n\nIndicates the plan type.\n\nExample: \n\nLOAD_PLAN_TYPE\n",
                        "example": "LOAD_PLAN_TYPE"
                      }
                    }
                  },
                  "planIds": {
                    "type": "array",
                    "description": "<Mark>Optional</Mark>\n\nIndicates the plan Ids to search for.\n"
                  },
                  "origins": {
                    "type": "object",
                    "description": "<Mark>Optional</Mark>\n\nIndicates the value of the pickup location information of the load.\n",
                    "properties": {
                      "city": {
                        "type": "string",
                        "description": "<Mark>Optional</Mark>\n\nIndicates the city (address location) of the pickup location of the load.\n\nExample:\n\nChicago\n",
                        "example": "Chicago"
                      },
                      "postalCode": {
                        "type": "string",
                        "description": "<Mark>Optional</Mark>\n\nIndicates the postal code of the address for the pickup location of the load.\n\nExample:\n\n31422\n",
                        "example": "31422"
                      },
                      "state": {
                        "type": "string",
                        "description": "<Mark>Optional</Mark>\n\nIndicates the state of the address for the pickup location of the load.\n\nExample:\n\nGA\n",
                        "example": "GA"
                      }
                    }
                  },
                  "destinations": {
                    "type": "object",
                    "description": "<Mark>Optional</Mark>\n\nIndicates the destination information about the drop off location.\n",
                    "properties": {
                      "city": {
                        "type": "string",
                        "description": "<Mark>Optional</Mark>\n\nIndicates the city (address location) of the drop off location.\n\nExample:\n\nChicago\n",
                        "example": "Chicago"
                      },
                      "postalCode": {
                        "type": "string",
                        "description": "<Mark>Optional</Mark>\n\nIndicates the postal code of the address for the drop off location.\n\nExample:\n\n94903\n",
                        "example": "94903"
                      },
                      "state": {
                        "type": "string",
                        "description": "<Mark>Optional</Mark>\n\nIndicates the state of the address for the drop off location.\n\nExample:\n\nGA\n",
                        "example": "GA"
                      }
                    }
                  },
                  "queryDates": {
                    "type": "object",
                    "description": "<Mark>Optional</Mark>\n\nIndicates the parameters of the dates in a search.\n",
                    "properties": {
                      "endTs": {
                        "type": "string",
                        "description": "<Mark>Optional</Mark>\n\nIndicates the timestamp (in ISO 8601 format) of the date time.\n\nExample:\n\n2023-06-01T13:00:00Z\n",
                        "example": "2023-06-01T13:00:00Z"
                      },
                      "startTs": {
                        "type": "string",
                        "description": "<Mark>Optional</Mark>\n\nIndicates the start time timestamp (in ISO 8601 format) of the dates searched.\n\nExample:\n\n2023-05-25T12:00:00.000+0530               \n2023-05-25T12:00:00.000Z\n",
                        "example": "2023-05-25T12:00:00.000+0530"
                      },
                      "type": {
                        "type": "string",
                        "description": "<Mark>Optional</Mark>\n\nIndicates the parameters of the dates in a search.\n\nExample:\n\nACTUAL_ARRIVAL_DATE\n",
                        "example": "ACTUAL_ARRIVAL_DATE"
                      }
                    }
                  },
                  "planDetails": {
                    "type": "object",
                    "description": "<Mark>Optional</Mark>\n\nIndicates the search fields for the plan.\n",
                    "properties": {
                      "totalStops": {
                        "type": "string",
                        "description": "<Mark>Optional</Mark>\n\nIndicates the number of stops in the plan.\n\nExample:\n\n1\n",
                        "example": "1"
                      },
                      "isHazmat": {
                        "type": "boolean",
                        "description": "<Mark>Optional</Mark>\n\nIndicates the load contains hazardous materials.  \n\nExample:\n\nIf true, the load contains hazardous materials.\nIf false, the load does not contain hazardous materials.\n",
                        "example": true
                      }
                    }
                  },
                  "equipment": {
                    "type": "object",
                    "description": "<Mark>Optional</Mark>\n\nIndicates an object of the type of equipment the driver will need to accept the load.\n",
                    "properties": {
                      "equipmentCodes": {
                        "type": "string",
                        "description": "<Mark>Optional</Mark>\n\nIndicates the vehicle equipment code.\n\nValid values are: \n\n| Value | Meaning |\n| ----------- | ----------- |\n| FLAT53 | Indicates a flatbed truck. |\n| REF53 | Indicates a reefer. |\n| VAN53 | Indicates a van type. |\n\nExample:\n\nVAN53\n",
                        "example": "VAN53"
                      }
                    }
                  },
                  "sortField": {
                    "type": "string",
                    "description": "<Mark>Optional</Mark>\n\nIndicates the fields to sort search results.\n\nExample:\n\nLAN_DEPARTURE_TS\n",
                    "example": "LAN_DEPARTURE_TS"
                  },
                  "sortMode": {
                    "type": "string",
                    "description": "<Mark>Optional</Mark>\n\nIndicates the order of the search results.\n\nExample:\n\nASC - Ascend\n",
                    "example": "ASC"
                  },
                  "page": {
                    "type": "integer",
                    "description": "Specifies the starting page number of the search results. \n\nThe default is 1.\n\n\nExample:\n\n3\n",
                    "example": 3
                  },
                  "responseGroups": {
                    "type": "object",
                    "description": "<Mark>Optional</Mark>\n\nSpecifies the search response grouping. This fetches the minimum or all fields in the search \nresults.\n\nSearch results are displayed in the BASIC default value.\n\nValid values are:\n\n| Value | Meaning |\n| ----------- | ----------- |\n| BASIC | Get the minimal fields in response. |\n| FULL | Get all the fields in the response. |\n"
                  },
                  "calculateSearchesResultCount": {
                    "type": "boolean",
                    "description": "<Mark>Optional</Mark>\n\nSpecifies count of total available loads in the search results\n\nExample:\n\ntrue\n",
                    "example": true
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successful operation. No response body from request.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "header": {
                      "type": "object",
                      "description": "Indicates an object for header information.",
                      "properties": {
                        "headerAttributes": {
                          "type": "object",
                          "description": "Indicates an object for header attributes.\n",
                          "properties": {
                            "searchPageMaxSize": {
                              "type": "integer",
                              "description": "Indicates the results size for a page.\n\nExample:\n\n100\n",
                              "example": 100
                            },
                            "planAggregateCount": {
                              "type": "integer",
                              "description": "Indicates the total results count for search criteria.\n\nExample:\n\n1545\n",
                              "example": 100
                            }
                          }
                        }
                      }
                    },
                    "payload": {
                      "type": "array",
                      "description": "Indicates an array of available loads.",
                      "items": {
                        "type": "object",
                        "properties": {
                          "planStatus": {
                            "type": "string",
                            "description": "Indicates the status of the awarded plan.\n\n| Value | Meaning |\n| ----------- | ----------- |\n| COMPLETED | Indicates that the load is completed. |\n| DELIVERED | Indicates that a load is delivered. |\n| IN_TRANSIT | Indicates that load is in transit. |\n| TENDERED | Indicates a carrier has received preliminary acceptance. |\n| TENDER_ACCEPTED | Indicates the load status had its tender accepted (final acceptance) for the carrier. |\n\nExample:\n\nTENDER_ACCEPTED\n",
                            "example": "TENDER_ACCEPTED"
                          },
                          "identifiers": {
                            "type": "object",
                            "description": "Indicates an object for load identifiers.\n",
                            "properties": {
                              "planID": {
                                "type": "string",
                                "description": "Specifies the load identifier on a fixed price load bid\n\nExample:\n\n2004754\n",
                                "example": "2004754"
                              }
                            }
                          },
                          "locations": {
                            "type": "object",
                            "description": "Indicates an object for the load location.\n",
                            "properties": {
                              "origin": {
                                "type": "object",
                                "description": "Indicates an object for the origin information of the load.\n",
                                "properties": {
                                  "locationId": {
                                    "type": "string",
                                    "description": "Indicates the Walmart indicator for the pickup location of the load.\n\nExample:\n\n382679609\n",
                                    "example": "382679609"
                                  },
                                  "locationType": {
                                    "type": "string",
                                    "description": "Indicates the type of pickup location for the pickup location of the load.\n\nValid values:\n\n| Value | Meaning |\n| ----------- | ----------- |\n| DC | Distribution center locations |\n| VNDR | Vendor locations |\n\nExamples:\n\nVNDR\n",
                                    "example": "VNDR"
                                  },
                                  "countryCode": {
                                    "type": "string",
                                    "description": "Indicates the country for the pickup location of the load.\n\nExample:\n\nUS\n",
                                    "example": "US"
                                  },
                                  "latitude": {
                                    "type": "number",
                                    "description": "Indicates the latitude value of the origin of the load.\n\nExample:\n\n31.12\n",
                                    "example": 31.12
                                  },
                                  "longitude": {
                                    "type": "number",
                                    "description": "Indicates the longitude value of the origin information of the load.\n\nExample:\n\n-82.245\n",
                                    "example": -82.245
                                  },
                                  "addressLine1": {
                                    "type": "string",
                                    "description": "Indicates the address of the origin information of the load.\n\nExample:\n\n101 Wilshire Blvd\n",
                                    "example": "101 Wilshire Blvd"
                                  },
                                  "addressLine2": {
                                    "type": "string",
                                    "description": "Indicates the second line of the address for the pickup location of the load.\n\nExample:\n\nOffice #10\n",
                                    "example": "Office #10"
                                  },
                                  "city": {
                                    "type": "string",
                                    "description": "Indicates the city (address location) of the origin information of the load.\n\nExample:\n\nChicago\n",
                                    "example": "Chicago"
                                  },
                                  "country": {
                                    "type": "string",
                                    "description": "Indicates the country (address location) of the origin information of the load.\n\nExample:\n\nUS\n",
                                    "example": "US"
                                  },
                                  "locationName": {
                                    "type": "string",
                                    "description": "Indicates the name of the location for the pickup location of the load.\n\nExample:\n\nLight House\n",
                                    "example": "Light House"
                                  },
                                  "postalCode": {
                                    "type": "string",
                                    "description": "Indicates the postal code of the address.\n\nExample:\n\n53158\n",
                                    "example": "53158"
                                  },
                                  "state": {
                                    "type": "string",
                                    "description": "Indicates the state of the address for the pickup location of the load.\n\nExample:\n\nGA\n",
                                    "example": "GA"
                                  }
                                }
                              }
                            }
                          },
                          "destination": {
                            "type": "object",
                            "description": "Indicates an object for the load destination.\n",
                            "properties": {
                              "locationId": {
                                "type": "string",
                                "description": "Indicates the Walmart indicator for the pickup location of the load.\n\nExample:\n\n382679609\n",
                                "example": "382679609"
                              },
                              "locationType": {
                                "type": "string",
                                "description": "Indicates the type of pickup location for the pickup location of the load.\n\nValid values:\n\n| Value | Meaning |\n| ----------- | ----------- |\n| DC | Distribution center locations |\n| VNDR | Vendor locations |\n\nExamples:\n\nVNDR\n",
                                "example": "VNDR"
                              },
                              "countryCode": {
                                "type": "string",
                                "description": "Indicates the country for the pickup location of the load.\n\nExample:\n\nUS\n",
                                "example": "US"
                              },
                              "latitude": {
                                "type": "number",
                                "description": "Indicates the latitude value for the pickup location of the load.\n\nExample:\n\n31.12\n",
                                "example": 31.12
                              },
                              "longitude": {
                                "type": "number",
                                "description": "Indicates the longitude value for the pickup location of the load.\n\nExample:\n\n-82.245\n",
                                "example": -82.245
                              },
                              "addressLine1": {
                                "type": "string",
                                "description": "Indicates the first line of the address for the pickup location of the load.\n\nExample:\n\n101 Wilshire Blvd\n",
                                "example": "101 Wilshire Blvd"
                              },
                              "addressLine2": {
                                "type": "string",
                                "description": "Indicates the second line of the address for the pickup location of the load.\n\nExample:\n\nOffice #10\n",
                                "example": "Office #10"
                              },
                              "city": {
                                "type": "string",
                                "description": "Indicates the city of the address location for the pickup location of the load.\n\nExample:\n\nChicago\n",
                                "example": "Chicago"
                              },
                              "country": {
                                "type": "string",
                                "description": "Indicates the country of the address for the pickup location of the load.\n\nExample:\n\nUS\n",
                                "example": "US"
                              },
                              "locationName": {
                                "type": "string",
                                "description": "Indicates the name of the location for the pickup location of the load.\n\nExample:\n\nLight House\n",
                                "example": "Light House"
                              },
                              "postalCode": {
                                "type": "string",
                                "description": "Indicates the postal code of the address for the pickup location of the load.\n\nExample:\n\n31422\n",
                                "example": "31422"
                              },
                              "state": {
                                "type": "string",
                                "description": "Indicates the state of the address for the pickup location of the load.\n\nExample:\n\nGA\n",
                                "example": "GA"
                              }
                            }
                          },
                          "stops": {
                            "type": "array",
                            "description": "Indicates an array for the pickup and drop-off stops of a load.\n",
                            "items": {
                              "type": "object"
                            }
                          }
                        }
                      }
                    },
                    "stopSequenceNumber": {
                      "type": "integer",
                      "description": "Indicates the stop sequence number of a load.\n\nExample:\n\n2\n",
                      "example": 2
                    },
                    "stopType": {
                      "type": "string",
                      "description": "Indicates the pickup stop type. \n\nValid values are:\n\n| Value | Meaning |\n| ----------- | ----------- |\n| DLVSTP | Indicates a drop stop.|\n| PIKSTP | Indicates a Pickup stop. |\n\nExample:\n\nPIKSTP\n",
                      "example": "PIKSTP"
                    },
                    "locations": {
                      "type": "array",
                      "description": "Indicates location details about stops.\n",
                      "items": {
                        "type": "object",
                        "properties": {
                          "locationId": {
                            "type": "string",
                            "description": "Indicates the Walmart indicator for the location.\n\nExample:\n\n45001553\n",
                            "example": "45001553"
                          },
                          "locationType": {
                            "type": "string",
                            "description": "Indicates the type of location (for example, a distribution center).\n\n| Value | Meaning |\n| ----------- | ----------- |\n| VNDR | Vendor locations |\n| DC | Distribution center locations |\n\nExamples:\n\nVNDR\n",
                            "example": "VNDR"
                          },
                          "countryCode": {
                            "type": "string",
                            "description": "Indicates the country of the address.\n\nExample:\n\nUS\n",
                            "example": "US"
                          },
                          "latitude": {
                            "type": "number",
                            "description": "Indicates the latitude value.\n\nExample:\n\n31.12\n",
                            "example": 31.12
                          },
                          "longitude": {
                            "type": "number",
                            "description": "Indicates the longitude value.\n\nExample:\n\n-82.245\n",
                            "example": -82.245
                          },
                          "origin": {
                            "type": "object",
                            "description": "Indicates the object of the load origin.\n",
                            "properties": {
                              "addressLine1": {
                                "type": "string",
                                "description": "Indicates the first line of the address.\n\nExample:\n\n9800 72ND AVE\n",
                                "example": "9800 72ND AVE"
                              },
                              "addressLine2": {
                                "type": "string",
                                "description": "Indicates the second line of the address for the pickup location of the load.\n\nExample:\n\nOffice #10\n",
                                "example": "Office #10"
                              },
                              "city": {
                                "type": "string",
                                "description": "Indicates the city of the address.\n\nExample:\n\nPLEASANT PRAIRIE\n",
                                "example": "PLEASANT PRAIRIE"
                              },
                              "country": {
                                "type": "string",
                                "description": "Indicates the country of the address.\n\nExample:\n\nUS\n",
                                "example": "US"
                              },
                              "locationName": {
                                "type": "string",
                                "description": "Indicates the name of the address.\n\nExample:\n\nSC JOHNSON & SON\n",
                                "example": "SC JOHNSON & SON"
                              },
                              "postalCode": {
                                "type": "string",
                                "description": "Indicates the postal code of the address.\n\nExample:\n\n53158\n",
                                "example": "53158"
                              },
                              "state": {
                                "type": "string",
                                "description": "Indicates the state of the address.\n\nExample:\n\n53158\n",
                                "example": "KY"
                              }
                            }
                          },
                          "destination": {
                            "type": "object",
                            "description": "Indicates the object of the load destination.\n",
                            "properties": {
                              "locationId": {
                                "type": "string",
                                "description": "Indicates the Walmart indicator for the location.\n\nExample:\n\n45001553\n",
                                "example": "45001553"
                              },
                              "locationType": {
                                "type": "string",
                                "description": "Indicates the type of location (for example, a distribution center).\n\n| Value | Meaning |\n| ----------- | ----------- |\n| VNDR | Vendor locations |\n| DC | Distribution center locations |\n\nExamples:\n\nVNDR\n",
                                "example": "VNDR"
                              },
                              "countryCode": {
                                "type": "string",
                                "description": "Indicates the country of the address.\n\nExample:\n\nUS\n",
                                "example": "US"
                              },
                              "latitude": {
                                "type": "number",
                                "description": "Indicates the latitude value.\n\nExample:\n\n31.12\n",
                                "example": 31.12
                              },
                              "longitude": {
                                "type": "number",
                                "description": "Indicates the longitude value.\n\nExample:\n\n-82.245\n",
                                "example": -82.245
                              },
                              "addressLine1": {
                                "type": "string",
                                "description": "Indicates the first line of the address.\n\nExample:\n\n9800 72ND AVE\n",
                                "example": "9800 72ND AVE"
                              },
                              "addressLine2": {
                                "type": "string",
                                "description": "Indicates the second line of the address for the pickup location of the load.\n\nExample:\n\nOffice #10\n",
                                "example": "Office #10"
                              },
                              "city": {
                                "type": "string",
                                "description": "Indicates the city of the address.\n\nExample:\n\nPLEASANT PRAIRIE\n",
                                "example": "PLEASANT PRAIRIE"
                              },
                              "country": {
                                "type": "string",
                                "description": "Indicates the country of the address.\n\nExample:\n\nUS\n",
                                "example": "US"
                              },
                              "locationName": {
                                "type": "string",
                                "description": "Indicates the name of the address.\n\nExample:\n\nSC JOHNSON & SON\n",
                                "example": "SC JOHNSON & SON"
                              },
                              "postalCode": {
                                "type": "string",
                                "description": "Indicates the postal code of the address.\n\nExample:\n\n53158\n",
                                "example": "53158"
                              },
                              "state": {
                                "type": "string",
                                "description": "Indicates the state of the address.\n\nExample:\n\nKY\n",
                                "example": "KY"
                              }
                            }
                          }
                        }
                      }
                    },
                    "stops": {
                      "type": "array",
                      "description": "Indicates total stops in the plan.\n",
                      "items": {
                        "type": "object",
                        "properties": {
                          "stopSequenceNumber": {
                            "type": "integer",
                            "description": "Indicates the stop sequence number of a load.\n\nExample:\n\n2\n",
                            "example": 2
                          },
                          "stopType": {
                            "type": "string",
                            "description": "Indicates the pickup stop type. \n\nValid values are:\n\n| Value | Meaning |\n| ----------- | ----------- |\n| DLVSTP | Indicates a drop stop.|\n| PIKSTP | Indicates a pickup stop. |\n\nExample:\n\nPIKSTP\n",
                            "example": "PIKSTP"
                          },
                          "location": {
                            "type": "object",
                            "description": "Indicates the object of the pickup location of the load.\n",
                            "properties": {
                              "locationId": {
                                "type": "string",
                                "description": "Indicates the Walmart indicator for the pickup location of the load.\n\nExample:\n\n382679609\n",
                                "example": "382679609"
                              },
                              "locationType": {
                                "type": "string",
                                "description": "Indicates the type of pickup location for the pickup location of the load.\n\n| Value | Meaning |\n| ----------- | ----------- |\n| VNDR | Vendor locations |\n| DC | Distribution center locations |\n\nExamples:\n\nVNDR\n",
                                "example": "VNDR"
                              },
                              "countryCode": {
                                "type": "string",
                                "description": "Indicates the country for the pickup location of the load.\n\nExamples:\n\nUS\n",
                                "example": "US"
                              },
                              "latitude": {
                                "type": "number",
                                "description": "Indicates the latitude value of the origin of the load.\n\nExamples:\n\n31.12\n",
                                "example": 31.12
                              },
                              "longitude": {
                                "type": "number",
                                "description": "Indicates the longitude value of the origin information of the load.\n\nExamples:\n\n-82.245\n",
                                "example": -82.245
                              },
                              "addressLine1": {
                                "type": "string",
                                "description": "Indicates the address of the origin information of the load.\n\nExamples:\n\n101 Wilshire Blvd\n",
                                "example": "101 Wilshire Blvd"
                              },
                              "addressLine2": {
                                "type": "string",
                                "description": "Indicates the second line of the address for the pickup location of the load.\n\nExamples:\n\nOffice #10\n",
                                "example": "Office #10"
                              },
                              "city": {
                                "type": "string",
                                "description": "Indicates the city (address location) of the origin information of the load.\n\nExamples:\n\nChicago\n",
                                "example": "Chicago"
                              },
                              "country": {
                                "type": "string",
                                "description": "Indicates the country (address location) of the origin information of the load.\n\nExamples:\n\nUS\n",
                                "example": "US"
                              },
                              "locationName": {
                                "type": "string",
                                "description": "Indicates the name of the location for the pickup location of the load.\n\nExamples:\n\nLight House\n",
                                "example": "Light House"
                              },
                              "postalCode": {
                                "type": "string",
                                "description": "Indicates the postal code of the address.\n\nExamples:\n\n3158\n",
                                "example": "53158"
                              },
                              "state": {
                                "type": "string",
                                "description": "Indicates the state of the address for the pickup location of the load.\n\nExamples:\n\nGA\n",
                                "example": "GA"
                              }
                            }
                          }
                        }
                      }
                    },
                    "maxExpectedArrivalTs": {
                      "type": "string",
                      "description": "Indicates the timestamp (in ISO 8601 format) for an estimated maximum arrival time.\n\nExample:\n\n2023-05-25T12:00:00.000+00:00\n",
                      "example": "2023-05-25T12:00:00.000+00:00"
                    },
                    "maxExpectedDepartureTs": {
                      "type": "string",
                      "description": "Indicates the timestamp (in ISO 8601 format) for an estimated maximum departure time, which is the upper limit for the departure window.\n\nExample:\n\n2023-05-25T12:00:00.000+0530\n2023-05-25T12:00:00.000Z\n",
                      "example": "2023-05-25T12:00:00.000+0530"
                    },
                    "minExpectedArrivalTs": {
                      "type": "string",
                      "description": "Indicates the timestamp (in ISO 8601 format) for an estimated minimum arrival time, which is the \nlower limit for the arrival window.\n\nExample:\n\n2023-05-25T12:00:00.000+00:00\n",
                      "example": "2023-05-25T12:00:00.000+00:00"
                    },
                    "minExpectedDepartureTs": {
                      "type": "string",
                      "description": "Indicates the timestamp (in ISO 8601 format) for an estimated minimum departure time, which is \nthe upper limit for the departure window.\n\nExample:\n\n2023-05-28T16:00:00.000+00:0\n",
                      "example": "2023-05-28T16:00:00.000+00:0"
                    },
                    "schedulerDetails": {
                      "type": "object",
                      "description": "Indicates the object for tracking the delivery type.\n",
                      "properties": {
                        "appointmentNumber": {
                          "type": "string",
                          "description": "Indicates the appointment number.\n\nExample:\n\n21934322\n",
                          "example": "21934322"
                        },
                        "deliveryType": {
                          "type": "string",
                          "description": "Indicates tracking of the delivery type. \n\nExample:\n\nLIVE\n",
                          "example": "LIVE"
                        },
                        "appointmentStartTime": {
                          "type": "string",
                          "description": "Indicates the timestamp for the start of the appointment.\n\nExample:\n\n2023-08-04T09:00:00.000-06:00\n",
                          "example": "2023-08-04T09:00:00.000-06:00"
                        },
                        "appointmentEndTime": {
                          "type": "string",
                          "description": "Indicates the timestamp for the end of the appointment.\n\nExample:\n\n2023-08-04T10:59:00.000-06:00\n",
                          "example": "2023-08-04T10:59:00.000-06:00"
                        },
                        "createdUserId": {
                          "type": "string",
                          "description": "Indicates the appointment created by the username.\n\nExample:\n\nautoSchTMS\n",
                          "example": "autoSchTMS"
                        },
                        "updatedBy": {
                          "type": "string",
                          "description": "Indicates appointment updated by username.\n\nExample:\n\nautoStride\n",
                          "example": "autoStride"
                        }
                      }
                    },
                    "driveDistanceToNextStop": {
                      "type": "object",
                      "description": "Indicates drive distance to next stop destination.\n"
                    },
                    "unitOfMeasure": {
                      "type": "string",
                      "description": "Specifies the unit of measure of the distance to the next stop.\n\nExample:\n\nMI - Miles\n",
                      "example": "MI"
                    },
                    "measurementValue": {
                      "type": "number",
                      "description": "Indicates the value of the distance to the next stop.\n\nExample:\n\n159\n",
                      "example": 159
                    },
                    "equipment": {
                      "type": "object",
                      "description": "Indicates an object for the type of equipment that the driver will need to accept the load.\n",
                      "properties": {
                        "equipmentCode": {
                          "type": "string",
                          "description": "Indicates the vehicle equipment code.\n\nValid values are:\n\n| Value | Meaning |\n| ----------- | ----------- |\n| FLAT53 | Indicates a flatbed truck. |\n| REF53 | Indicates a reefer. |\n| VAN53 | Indicates a van type. |\n\nExample:\n\nVAN53\n",
                          "example": "VAN53"
                        },
                        "equipmentType": {
                          "type": "string",
                          "description": "Indicates the vehicle equipment type.\n\nExample:\n\nDRYV – Dry van\n",
                          "example": "DRYV"
                        },
                        "length": {
                          "type": "object",
                          "description": "An object that specifies the equipment length.\n",
                          "properties": {
                            "unitOfMeasure": {
                              "type": "string",
                              "description": "Specifies the unit of measure of equipment length.\n\nValid values are:\n\n| Value | Meaning |\n| ----------- | ----------- |\n| FT | Feet |\n\nExample:\n\nFT\n",
                              "example": "FT"
                            },
                            "measurementValue": {
                              "type": "number",
                              "description": "Specifies the value of equipment length.\n\nExample:\n\n53\n",
                              "example": 53
                            }
                          }
                        },
                        "height": {
                          "type": "object",
                          "description": "An object that specifies the equipment height.\n",
                          "properties": {
                            "unitOfMeasure": {
                              "type": "string",
                              "description": "Specifies the unit of measure of equipment height.\n\nValid values are:\n\n| Value | Meaning |\n| ----------- | ----------- |\n| FT | Feet |\n\nExample:\n\nFT\n",
                              "example": "FT"
                            },
                            "measurementValue": {
                              "type": "number",
                              "description": "Specifies the value of equipment height.\n\nExample:\n\n7\n",
                              "example": 7
                            }
                          }
                        },
                        "width": {
                          "type": "object",
                          "description": "An object that specifies the equipment width.\n",
                          "properties": {
                            "unitOfMeasure": {
                              "type": "string",
                              "description": "Specifies the unit of measure of equipment width.\n\nValid values are:\n\n| Value | Meaning |\n| ----------- | ----------- |\n| FT | Feet |\n\nExample:\n\nFT\n",
                              "example": "FT"
                            },
                            "measurementValue": {
                              "type": "number",
                              "description": "Specifies the value of equipment width.\n\nExample:\n\n7\n",
                              "example": 10
                            }
                          }
                        }
                      }
                    },
                    "comments": {
                      "type": "object",
                      "description": "Indicates an object of comments for the plan.\n",
                      "properties": {
                        "commentId": {
                          "type": "integer",
                          "description": "Indicates the comment id.\n\nExample:\n\n1\n",
                          "example": 1
                        },
                        "commentText": {
                          "type": "string",
                          "description": "Indicates the comment text.\n\nExample:\n\nThis load contains milk and eggs.\n",
                          "example": "This load contains milk and eggs."
                        },
                        "commentType": {
                          "type": "string",
                          "description": "Indicates the type of comment.\n\nExample:\n\nGENERAL\n",
                          "example": "GENERAL"
                        }
                      }
                    },
                    "schedule": {
                      "type": "object",
                      "description": "Indicates the object of schedule for the plan.\n",
                      "properties": {
                        "maxPickupTs": {
                          "type": "string",
                          "description": "Indicates the timestamp (in ISO 8601 format) of the estimated maximum pickup time.\n\nExample:\n\n2023-05-18T13:00:00Z\n",
                          "example": "2023-06-01T13:00:00Z"
                        },
                        "minPickupTs": {
                          "type": "string",
                          "description": "Indicates the timestamp (in ISO 8601 format) of the estimated minimum pickup time.\n\nExample:\n\n2023-05-18T13:00:00Z\n",
                          "example": "2023-05-18T13:00:00Z"
                        },
                        "minDueTs": {
                          "type": "string",
                          "description": "Indicates the timestamp (in ISO 8601 format) of the minimum due time stamp.\n\nExample:\n\n2023-05-20T00:55:00Z\n",
                          "example": "2023-05-20T00:55:00Z"
                        },
                        "maxDueTs": {
                          "type": "string",
                          "description": "Indicates the timestamp (in ISO 8601 format) of the maximum due time stamp.\n\nExample:\n\n2023-05-20T00:55:00Z\n",
                          "example": "2023-05-20T00:55:00Z"
                        },
                        "mustDepartByTs": {
                          "type": "string",
                          "description": "Indicates the start time (in ISO 8601 format) to depart the location. \n\nExample:\n\n2023-08-07T19:55:00Z\n",
                          "example": "2023-08-07T19:55:00Z"
                        },
                        "mabdTs": {
                          "type": "string",
                          "description": "Indicates the time at the arrival location. \n\nExample:\n\n2023-08-07T19:55:00Z\n",
                          "example": "2023-08-07T19:55:00Z"
                        }
                      }
                    },
                    "planDetails": {
                      "type": "object",
                      "description": "Indicates fields to filter plan with plan metadata.\n",
                      "properties": {
                        "isHazmat": {
                          "type": "boolean",
                          "description": "Indicates the load contains hazardous materials.  \n\nExample:\n\nIf true, the load contains hazardous materials.\nIf false, the load does not contain hazardous materials.\n",
                          "example": true
                        }
                      }
                    },
                    "planAggregates": {
                      "type": "object",
                      "description": "Indicates an object for load details.\n",
                      "properties": {
                        "totalCases": {
                          "type": "object",
                          "description": "Indicates an object for the total number of cases in the load.\n",
                          "properties": {
                            "unitOfMeasure": {
                              "type": "string",
                              "description": "Specifies the unit of measure of total cases.\n\nExample:\n\nEA - Each\n",
                              "example": "EA"
                            },
                            "measurementValue": {
                              "type": "number",
                              "description": "Specifies the value of total cases.\n\nExample:\n\n858\n",
                              "example": 858
                            }
                          }
                        }
                      }
                    },
                    "totalWeight": {
                      "type": "object",
                      "description": "Indicates the total weight of the load in pounds.\n",
                      "properties": {
                        "unitOfMeasure": {
                          "type": "string",
                          "description": "Specifies the unit of measure of total weight.\n\nExample:\n\nLB - pounds\n",
                          "example": "LB"
                        },
                        "measurementValue": {
                          "type": "number",
                          "description": "Specifies the value of total weight.\n\nExample:\n\n25938\n",
                          "example": 25938
                        }
                      }
                    },
                    "totalPallets": {
                      "type": "object",
                      "description": "Indicates an object describing the total pallets.\n",
                      "properties": {
                        "unitOfMeasure": {
                          "type": "string",
                          "description": "Specifies the unit of measure of the total pallets.\n\nExample:\n\nEA - Each\n",
                          "example": "EA"
                        },
                        "measurementValue": {
                          "type": "number",
                          "description": "Specifies the value of the total pallets.\n\nExample:\n\n23\n",
                          "example": 23
                        }
                      }
                    },
                    "totalCube": {
                      "type": "object",
                      "description": "Specifies an object of the total cubic volume of the load.\n",
                      "properties": {
                        "unitOfMeasure": {
                          "type": "string",
                          "description": "Specifies the unit of measure of the total cubic volume of the load.\n\nExample:\n\nCFT – Cubic feet\n",
                          "example": "CFT"
                        },
                        "measurementValue": {
                          "type": "number",
                          "description": "Specifies the value of the total cubic volume of the load.\n\nExample:\n\n2870\n",
                          "example": 2870
                        }
                      }
                    },
                    "totalDistance": {
                      "type": "object",
                      "description": "Specifies an object of the total distance a driver will deliver the load.\n",
                      "properties": {
                        "unitOfMeasure": {
                          "type": "string",
                          "description": "Specifies the unit of measure of the total distance to deliver the load.\n\nExample:\n\nMI – Miles\n",
                          "example": "MI"
                        },
                        "measurementValue": {
                          "type": "number",
                          "description": "Specifies the value of the total distance to deliver the load.\n\nExample:\n\n132\n",
                          "example": 132
                        }
                      }
                    },
                    "totalDuration": {
                      "type": "object",
                      "description": "Specifies the total amount of time needed to transport the load.\n",
                      "properties": {
                        "unitOfMeasure": {
                          "type": "string",
                          "description": "Specifies the unit of measure of the total duration.\n\nExample:\n\nHR - Hours\n",
                          "example": "HR"
                        },
                        "measurementValue": {
                          "type": "number",
                          "description": "Specifies the value of the total duration.\n\nExample:\n\n2.92\n",
                          "example": 2.92
                        }
                      }
                    },
                    "totalUtilization": {
                      "type": "object",
                      "description": "Specifies utilization metrics of the trip such as miles traveled.\n",
                      "properties": {
                        "unitOfMeasure": {
                          "type": "string",
                          "description": "Specifies the unit of measure of total utilization.\n\nExample:\n\nMI - Miles\n",
                          "example": "MI"
                        },
                        "measurementValue": {
                          "type": "number",
                          "description": "Specifies the value of total utilization.\n\nExample:\n\n500\n",
                          "example": 500
                        }
                      }
                    },
                    "totalWMSPallelts": {
                      "type": "object",
                      "description": "Specifies an object describing the total pallets.\n",
                      "properties": {
                        "unitOfMeasure": {
                          "type": "string",
                          "description": "Specifies the unit of measure of the total pallets.\n\nExample:\n\nEA - Each\n",
                          "example": "EA"
                        },
                        "measurementValue": {
                          "type": "number",
                          "description": "Specifies the value of the total pallets.\n\nExample:\n\n42\n",
                          "example": 42
                        }
                      }
                    },
                    "transitDetail": {
                      "type": "object",
                      "description": "Indicates an object for payload load requirements, such as truck type.\n\nPayloads are identified by their service codes.\n\n| Value | Meaning |\n| ----------- | ----------- |\n| TL | Indicates a truck load. |\n| SL | Indicates a service level (single or flat). |\n| D | Indicates the protection level. |\n",
                      "properties": {
                        "mode": {
                          "type": "string",
                          "description": "Indicates the order of the mode search results.\n\nExample:\n\nASC - Ascend\n",
                          "example": "ASC"
                        },
                        "serviceLevel": {
                          "type": "string",
                          "description": "Specifies the service level of the transportation detail.\n\nExample:\n\nSINGLE\n",
                          "example": "SINGLE"
                        },
                        "protectionLevel": {
                          "type": "string",
                          "description": "Specifies the protection level required to transport the load.\n\n| Value | Meaning |\n| ----------- | ----------- |\n| REFER | Indicates a refrigerated load. |\n| PRODUCE | Indicates a produce load. |\n| DRY | Indicates no special handling. |\n\nExample:\n\nDry\n",
                          "example": "Dry"
                        }
                      }
                    },
                    "carrier": {
                      "type": "object",
                      "description": "Specifies the carrier information\n",
                      "properties": {
                        "scac": {
                          "type": "string",
                          "description": "Specifies the industry Standard Carrier Alpha Code (SCAC).\n\nExample:\n\nCPGP\n",
                          "example": "CPGP"
                        },
                        "isDropRequired": {
                          "type": "boolean",
                          "description": "Indicates whether a delivery location requires drop trailer capability. If the value is set to `true` (drop required) then only approved carriers with drop trailer permissions may view, accept, or assign loads. If the value is `false` (drop not required) this restriction does not apply.\n\nExample:\n\nFalse\n",
                          "example": false
                        },
                        "carrierName": {
                          "type": "string",
                          "description": "Specifies the carrier’s name.\n\nExample:\n\nMagic Transportation, LTD.\n",
                          "example": "Magic Transportation, LTD."
                        },
                        "assignedTs": {
                          "type": "string",
                          "description": "Specifies the time when the load is assigned to the carrier.\n\nExample:\n\n2022-10-12T15:10:23.076-05:00\n",
                          "example": "2022-10-12T15:10:23.076-05:00"
                        },
                        "transactionTs": {
                          "type": "string",
                          "description": "Specifies the transaction time stamp when the load is assigned.\n\nExample:\n\n2022-10-12T15:10:23.076-05:00\n",
                          "example": "2022-10-12T15:10:23.076-05:00"
                        },
                        "status": {
                          "type": "string",
                          "description": "Specifies the plan status.\n\nValid values are:\n\n| Value | Meaning |\n| ----------- | ----------- |\n| TENDERED | Indicates a carrier has received preliminary acceptance. |\n| TENDER_ACCEPTED  | Indicates the load status had its tender accepted (final acceptance) for the carrier.|\n\nExample:\n\nTENDERED\n",
                          "example": "TENDERED"
                        },
                        "rate": {
                          "type": "object",
                          "description": "Specifies the rate assigned to the carrier.\n",
                          "properties": {
                            "unitOfMeasure": {
                              "type": "string",
                              "description": "Specifies the unit of measure of the carrier rate.\n\nExample:\n\nUSD – US dollars\n",
                              "example": "USD"
                            },
                            "measurementValue": {
                              "type": "number",
                              "description": "Specifies the value of the carrier rate.\n\nExample:\n\n1299.12\n",
                              "example": 1299.12
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "201": {
            "description": "Created"
          },
          "401": {
            "description": "Unauthorized"
          },
          "403": {
            "description": "Forbidden"
          },
          "404": {
            "description": "Not Found"
          }
        },
        "deprecated": false
      }
    }
  },
  "x-tagGroups": [
    {
      "name": "Inbound Load Board Overview",
      "tags": [
        "Overview",
        "Superview"
      ]
    },
    {
      "name": "Inbound Load Board Reference",
      "tags": [
        "Inbound Load Board Requests"
      ]
    }
  ],
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
````